@font-face {
    font-family: "Noto Sans JP", serif;
    font-display: swap;
    font-style: normal;
    font-weight: 400;
    src: url(../fonts/TT2020StyleE-Regular.woff2) format('woff2');
    font-display: swap;
}

@font-face {
    font-family: "Noto Sans JP", serif;
    font-display: swap;
    font-style: normal;
    font-weight: 700;
    src: url(../fonts/TT2020StyleB-Regular.woff2) format('woff2');
    font-display: swap;
}

@font-face {
    font-family: "Noto Sans JP", serif;
    font-display: swap;
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/bebas-neue-v14-latin-regular.woff2') format('woff2');
}

@font-face {
    font-family: "Noto Sans JP", serif;
    font-display: swap;
    font-style: normal;
    font-weight: 400;
    src: url(../fonts/Inter-Regular.woff2) format('woff2');
    font-display: swap;
}

@font-face {
    font-family: "Noto Sans JP", serif;
    font-display: swap;
    font-style: italic;
    font-weight: 400;
    src: url(../fonts/Inter-Italic.woff2) format('woff2');
    font-display: swap;
}

@font-face {
    font-family: "Noto Sans JP", serif;
    font-display: swap;
    font-style: normal;
    font-weight: 700;
    src: url(../fonts/Inter-Bold.woff2) format('woff2');
    font-display: swap;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Noto Sans JP", serif;
    font-size: 1.25rem;
    color: #fff;
    background-image: url('../img2/site_bg.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

:root {
    --gap-s: 2rem;
    --gap-m: calc(var(--gap-s) * 2);
    --gap-l: calc(var(--gap-m) * 2);
    --gap-xl: calc(var(--gap-l) * 2);
}

.grid {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    gap: var(--gap-s);
    padding: 0 var(--gap-s);
}

.shadow {
    filter: drop-shadow(0 0 15px #000);
}

h2 {
    margin-bottom: var(--gap-s);
}

p:not(:last-child) {
    margin-bottom: var(--gap-s);
}

a {
    color: #fff;
}

.newsletter a {
    color: #210b01;
}

button {
    padding: .25rem .5rem;
    font-family: "Noto Sans JP", serif;
    font-size: 2rem;
    color: #e79234;
    background: #000;
    border: 5px solid #e79234;
}

/* Site Header */

#site-header {
    position: relative;
    width: 100%;
    aspect-ratio: 64 / 54;
    margin-bottom: 10%;
}

#header-hero {
    position: relative;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(3, 1fr);
    max-height: 100%;
    justify-items: center;
    padding-bottom: var(--gap-m);
}

.keyart {
    grid-column: 1 / -1;
    grid-row: 1 / span 2;
    max-width: 100%;
}

.logo {
    max-width: 75%;
    grid-column: 1 / -1;
    grid-row: 2 / span 2;
    align-self: end;
}

#header-hero::before {
    position: absolute;
    width: 100%;
    height: 133%;
    content: '';
    background-image: url('../img2/LP_SuddenStrike5_KeyArt.jpg');
    background-position: bottom left;
    background-size: cover;
    mask-mode: luminance;
    mask-size: cover;
    mask-position: center;
    z-index: -1;
}

#header-hero::after {
    position: absolute;
    width: 100%;
    aspect-ratio: 2004 / 235;
    bottom: 0;
    content: '';
    /*background-image: url('../img2/map-end.png');*/
    background-position: top;
    background-size: 100%;
    background-repeat: no-repeat;
    translate: 0 100%;
    z-index: -1;
}

#site-nav {
    position: relative;
    translate: 0 30%;
}

#site-nav::after {
    position: absolute;
    width: 100%;
    height: 50%;
    top: 50%;
    content: '';
    background-image: url('../img2/metal-pattern.jpg');
    background-size: contain;
    box-shadow: 0 0 20px #000;
    translate: 0 -50%;
    z-index: -1;
}

#site-nav ul {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: var(--gap-s);
    list-style-type: none;
}

#site-nav li {
    height: max-content;
    aspect-ratio: 250 / 59;
    background-image: url('../img2/button.png');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    box-shadow: 0 0 20px 5px #000;
}

.nav-a {
    padding: calc(var(--gap-s) / 2) var(--gap-s);
    font-family: "Noto Sans JP", serif;
    font-size: 3rem;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    background: linear-gradient(to bottom, #ffae3e, #e18b34);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: drop-shadow(1px 1px 5px #000);
}

/*.nav-a:not(.primary) {
    display: none;
}*/

.primary {
    font-size: 3.5rem;
    order: 2;
}

#site-nav li:nth-of-type(2) {
    order: 1;
}

#site-nav li:nth-of-type(3) {
    order: 3;
}

/* Intro */

#intro {
    /*margin-bottom: var(--gap-l);*/
}

.intro-text {
    position: relative;
    grid-column: 1 / -1;
}

.intro-text p {
    padding: var(--gap-s);
    text-align: center;
}

.intro-text::before {
    position: absolute;
    width: 100%;
    height: 100%;
    content: '';
    background-image: url('../img2/headline_bg.jpg');
    background-size: cover;
    border-top: 2px solid #fff;
    border-bottom: 2px solid #fff;
    box-shadow: inset 0 0 50px #000;
    mask-image: linear-gradient(to right, transparent 0%, #000 33%, #000 66%, transparent 100%);
    z-index: -1;
}

/* About */

#about {
    justify-content: center;
    align-items: center;
    margin-bottom: 6rem;
    /*margin-bottom: var(--gap-xl);*/
}

.about-img {
    position: relative;
    grid-column: 1 / -1;
    aspect-ratio: 100 / 63;
}

.about-img::before {
    position: absolute;
    width: 100%;
    height: 100%;
    content: '';
    background-image: url('../img2/image_bg.jpg');
    background-size: cover;
    background-position: center;
    z-index: -1;
}

.about-img img {
    max-width: 100%;
    transform: scale(80%);
    translate: 0 6%;
    box-shadow: 0 0 10px 5px #000;
}

.about-text {
    position: relative;
    grid-column: 1 / -1;
    margin: 10% 0;
    background-image: url('../img2/paper_middle.jpg');
    background-size: 100%;
}

.about-text::before {
    position: absolute;
    width: 100%;
    aspect-ratio: 1506 / 123;
    content: '';
    background-image: url('../img2/paper_top.png');
    background-size: contain;
    translate: 0 -100%;
}

.about-text::after {
    position: absolute;
    width: 100%;
    aspect-ratio: 1506 / 127;
    content: '';
    background-image: url('../img2/paper_bottom.png');
    background-size: contain;
}

.about-text p {
    padding: calc(var(--gap-s) / 2) var(--gap-s);
    color: #000;
}

/* Newsletter */

.newsletter {
    position: relative;
    grid-column: 1 / -1;
    margin-bottom: var(--gap-xl);
    text-align: center;
    color: #210b01;
    background-image: url('../img2/paper_middle.png');
    background-size: 100%;
}

.newsletter::before {
    position: absolute;
    width: 100%;
    aspect-ratio: 1506 / 123;
    left: 0;
    content: '';
    background-image: url('../img2/paper_top.png');
    background-size: contain;
    translate: 0 -100%;
}

.newsletter::after {
    position: absolute;
    width: 100%;
    aspect-ratio: 1506 / 127;
    left: 0;
    content: '';
    background-image: url('../img2/paper_bottom.png');
    background-size: contain;
}

.newsletter :where(h2, p, form) {
    padding: 0 var(--gap-s);
    hyphens: auto;
}

.newsletter :where(h2, p, form):first-child {
    padding-top: calc(var(--gap-s) / 2);
}

.newsletter :where(h2, p, form):last-child {
    padding-bottom: calc(var(--gap-s) / 2);
}

.newsletter input[type=text] {
    width: 100%;
    padding: .25rem .5rem;
    font-family: "Noto Sans JP", serif;
    font-size: 1.25rem;
    background: transparent;
    border: 1px solid #000;
}

.newsletter form > *:not(:last-child) {
    margin-bottom: calc(var(--gap-s) / 2);
}

/* Media Slider */

.media-slider {
    position: relative;
    margin-bottom: var(--gap-l);
    text-align: center;
    background-image: linear-gradient(to bottom, transparent, #000, transparent);
}

.media-slider h2 {
    grid-row: 1 / 2;
}

.media-slider p {
    grid-column: 2 / -1;
    grid-row: 3 / 4;
    font-size: .75rem;
}

.media {
    /* position: relative; */
    grid-column: span 12;
    grid-row: 2 / 3;
    overflow: hidden;
}

.media a img {
    width: 100%;
}

.swiper-button-prev, .swiper-button-next {
    color: var(--keycol);
}

/* Site Footer */

#site-footer {
    position: relative;
    padding-bottom: var(--gap-l);
}

#site-footer::before, #site-footer::after {
    position: absolute;
    width: 50%;
    height: 100%;
    bottom: 0;
    content: '';
    background-size: contain;
    background-repeat: no-repeat;
    z-index: -1;
}

#site-footer::before {
    background-image: url('../img2/fire_left.png');
    background-position: bottom left;
}

#site-footer::after {
    right: 0;
    background-image: url('../img2/fire_right.png');
    background-position: bottom right;
}

#site-footer > div {
    grid-column: 1 / -1;
    text-align: center;
    font-size: .85rem;
}

.logos {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: var(--gap-s);
    flex-wrap: wrap;
    margin-bottom: var(--gap-s);
}

/* Responsive Media Queries */


@media (min-width: 500px ) {
    .grid {
        padding: 0 var(--gap-m);
    }
}

@media (min-width: 750px) {
    .grid {
        padding: 0 var(--gap-l);
    }

    #site-header {
        aspect-ratio: 64 / 27;
    }

    .keyart {
        max-width: 75%;
    }

    .logo {
        max-width: 50%;
    }

    .intro-text p {
        padding: var(--gap-s) var(--gap-m);
    }

    .newsletter {
        grid-column: 2 / span 6;
    }

    .about-text p {
        padding: 0 var(--gap-m);
    }

    .newsletter :where(h2, p, form) {
        padding: 0 var(--gap-m);
    }

    .newsletter input[type=text] {
        width: 50%;
    }

    #site-footer > div {
        grid-column: 2 / span 6;
    }
}

@media (min-width: 900px) {
    .nav-a:not(.primary) {
        display: inline;
    }
}

@media (min-width: 1150px) {
    .about-img {
        grid-column: 1 / span 4;
        grid-row: 1 / -1;
    }

    .about-text {
        grid-column: 5 / span 4;
        grid-row: 1 / -1;
        margin: 0;
    }

    .newsletter {
        grid-column: 3 / span 4;
    }

    #site-footer > div {
        grid-column: 3 / span 4;
    }
}